Skip to main content
POST
Simulate Transaction on Environment Virtual Environment

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account ID or slug

projectSlug
string
required

Project ID or slug

environmentId
string<uuid>
required

Environment ID

instanceId
string<uuid>
required

Environment instance ID

vnetId
string<uuid>
required

Virtual Environment ID

Body

application/json

Simulation parameters

callArgs
callArgs · object

Transaction call arguments

blockNumber
string

Block number on which the transaction is simulated (hex-encoded)

Example:

"0x151924A"

blockOverrides
blockOverrides · object

Overrides for block data

Example:
stateOverrides
stateOverrides · object

Overrides of account state. In this mapping, the key is the address of the account, and the value contains the override.

Response

A successful response.

Result of simulating a transaction on an environment Virtual Environment

blockNumber
string

Block number on which the simulation was executed (hex-encoded)

Example:

"0xfc497b"

cumulativeGasUsed
string

Cumulative gas used up to and including this transaction in the block (hex-encoded)

Example:

"0x10"

gasUsed
string

Gas consumed by this transaction (hex-encoded)

Example:

"0xb412"

status
boolean

Whether the simulated transaction succeeded

Example:

true

type
string

Transaction type (hex-encoded)

Example:

"0x0"

logsBloom
string

Bloom filter of all logs emitted during simulation (hex-encoded)

Example:

"0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"

metadata
metadata · object

Simulation metadata

logs
decodedLog · object[]

ABI-decoded logs emitted during simulation

trace
traceResponse · object[]

Execution trace call tree

assetChanges
assetChange · object[]

Token transfers that occurred during simulation

balanceChanges
balanceChange · object[]

Native ETH balance changes during simulation

exposureChanges
exposureChange · object[]

Token approval and allowance changes during simulation

stateChanges
stateChange · object[]

Account and storage state changes during simulation

interopInfo
interopInfo · object | null

Cross-chain interoperability information (only present for cross-chain simulations)